Package org.apache.commons.math3.analysis.interpolation

# Class SmoothingPolynomialBicubicSplineInterpolator

java.lang.Object
org.apache.commons.math3.analysis.interpolation.BicubicSplineInterpolator
org.apache.commons.math3.analysis.interpolation.SmoothingPolynomialBicubicSplineInterpolator

All Implemented Interfaces:
  `BivariateGridInterpolator`

@Deprecated public class SmoothingPolynomialBicubicSplineInterpolator extends BicubicSplineInterpolator
Deprecated.
To be removed in 4.0 (see MATH-1166).
Generates a bicubic interpolation function. Prior to generating the interpolating function, the input is smoothed using polynomial fitting.

Since:
  2.2

## Constructor Summary

Constructors
Constructor
Description
`SmoothingPolynomialBicubicSplineInterpolator()`
Deprecated.
Default constructor.
`SmoothingPolynomialBicubicSplineInterpolator(int degree)`
Deprecated.
`SmoothingPolynomialBicubicSplineInterpolator(int xDegree, int yDegree)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`BicubicSplineInterpolatingFunction`
`interpolate(double[] xval, double[] yval, double[][] fval)`
Deprecated.
Compute an interpolating function for the dataset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmoothingPolynomialBicubicSplineInterpolator

public SmoothingPolynomialBicubicSplineInterpolator()
Deprecated.
Default constructor. The degree of the fitting polynomials is set to 3.

### SmoothingPolynomialBicubicSplineInterpolator

public SmoothingPolynomialBicubicSplineInterpolator(int degree) throws NotPositiveException
Deprecated.

Parameters:
  `degree` - Degree of the polynomial fitting functions.
Throws:
  `NotPositiveException` - if degree is not positive

### SmoothingPolynomialBicubicSplineInterpolator

public SmoothingPolynomialBicubicSplineInterpolator(int xDegree, int yDegree) throws NotPositiveException
Deprecated.

Parameters:
  `xDegree` - Degree of the polynomial fitting functions along the x-dimension.
  `yDegree` - Degree of the polynomial fitting functions along the y-dimension.
Throws:
  `NotPositiveException` - if degrees are not positive

## Method Details

### interpolate

public BicubicSplineInterpolatingFunction interpolate(double[] xval, double[] yval, double[][] fval) throws NoDataException, NullArgumentException, DimensionMismatchException, NonMonotonicSequenceException
Deprecated.
Compute an interpolating function for the dataset.

Specified by:
  `interpolate` in interface `BivariateGridInterpolator`
Overrides:
  `interpolate` in class `BicubicSplineInterpolator`
Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
Returns:
  a function which interpolates the dataset.
Throws:
  `NoDataException` - if any of the arrays has zero length.
  `DimensionMismatchException` - if the array lengths are inconsistent.
  `NonMonotonicSequenceException` - if the array is not sorted.
  `NullArgumentException`